Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_POMME_R025.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_POMME_R025.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_POMME_R025.h90	(revision 4144)
@@ -9,94 +9,101 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "pomme"          !: POMME025 name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "pomme"         !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 025  ,        &  !: resolution of the configuration (degrees)
-      ! Original data size
+      ::                      &
+      jp_cfg  =  025   ,      &  !: Resolution of the configuration (degrees)
+
       ! ORCA025 global grid size
-      jpiglo_ORCA025 = 1442, &
-      jpjglo_ORCA025 = 1021, &  ! not used currently
+      jpiglo_ORCA025 = 1442,  &
+      jpjglo_ORCA025 = 1021,  &  ! not used currently
       ! POMME "global" domain localisation in the ORCA025 global grid
-      jpi_iw    = 1059,      & 
-      jpi_ie    = 1088,      &  
-      jpj_js    = 661,       &
-      jpj_jn    = 700,       &
-      jpidta  = ( jpi_ie - jpi_iw + 1 ), &   !: =30 first horizontal dimension > or = to jpi
-      jpjdta  = ( jpj_jn - jpj_js + 1 ), &   !: =40 second                     > or = to jpj
-      jpkdta  = 46 ,         &  !: number of levels           > or = to jpk
-      ! total domain matrix size
-      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+      jpi_iw  =  1059  ,      & 
+      jpi_ie  =  1088  ,      &  
+      jpj_js  =  661   ,      &
+      jpj_jn  =  700   ,      &
+
+      ! Data domain size                      !!! *  Size of all input files  *
+      jpidta  =  ( jpi_ie - jpi_iw + 1 ), &   !: =30 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  ( jpj_jn - jpj_js + 1 ), &   !: =40 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  46    ,      &               !: Number of levels          ( >= jpk    )
+
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
       ! Domain characteristics
-      jperio  =    0            !: lateral cond. type (between 0 and 6)
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-      &                    pp_to_be_computed = 0._wp
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER, PARAMETER ::     & !
-      jphgr_msh = 0            !: type of horizontal mesh
-      !                        !  = 0 curvilinear coordinate on the sphere
-      !                        !      read in coordinate.nc file
-      !                        !  = 1 geographical mesh on the sphere
-      !                        !      with regular grid-spacing
-      !                        !  = 2 f-plane with regular grid-spacing
-      !                        !  = 3 beta-plane with regular grid-spacing
-      !                        !  = 4 Mercator grid with T/U point at the equator  with
-      !                        !      isotropic resolution (e1_deg)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 0              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp), PARAMETER ::       &  !
-      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = pp_not_used, &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = pp_not_used, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
+
 
    !!  Coefficients associated with the vertical coordinate system
 
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = pp_to_be_computed ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
-      &     ppa0  = pp_to_be_computed ,  &  !:    "           "
-      &     ppa1  = pp_to_be_computed ,  &  !:    "           "
-      !
-      &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
-      !                                     !: layer number above which  stretching will
-      !                                     !: be maximum. Usually of order jpk/2.
-      &     ppacr =    9.00000000000_wp     !: (non dimensional): stretching factor
-      !                                     !: for the grid. The highest zacr, the smallest
-      !                                     !: the stretching.
+   REAL(wp), PARAMETER ::                      &
+      &     ppsur =   pp_to_be_computed     ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppa1  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppkth =   23.563_wp             ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
+      !                                           !: the stretching.
 
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &
-      &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
-      &     pphmax  = 5750._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL,  PARAMETER ::        &
-      &     ldbletanh = .FALSE.             !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
-      &     ppa2    = pp_not_used     ,  &  !: Double tanh function parameters
-      &     ppkth2  = pp_not_used     ,  &  !:
-      &     ppacr2  = pp_not_used           !:
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = 6._wp                 ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5750._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
+   LOGICAL,  PARAMETER ::                      &
+      &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
+   REAL(wp), PARAMETER ::                      &
+      &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
+      &     ppkth2  = pp_not_used           ,  &  !:
+      &     ppacr2  = pp_not_used                 !:
    !!---------------------------------------------------------------------
Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_oce.F90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_oce.F90	(revision 4144)
@@ -99,4 +99,12 @@
 
    ! global or zoom domain size                      !!! * computational domain *
+#if defined key_c1d
+   INTEGER, PUBLIC, PARAMETER ::   jpiglo  = 3        !: 1st dimension of global domain --> i
+   INTEGER, PUBLIC, PARAMETER ::   jpjglo  = 3        !: 2nd    -                  -    --> j
+
+   ! zoom starting position 
+   INTEGER, PUBLIC            ::   jpizoom =   1      !: left bottom (i,j) indices of the zoom
+   INTEGER, PUBLIC            ::   jpjzoom =   1      !: in data domain indices
+#else
    INTEGER, PUBLIC, PARAMETER ::   jpiglo  = jpidta   !: 1st dimension of global domain --> i
    INTEGER, PUBLIC, PARAMETER ::   jpjglo  = jpjdta   !: 2nd    -                  -    --> j
@@ -105,4 +113,5 @@
    INTEGER, PUBLIC, PARAMETER ::   jpizoom =   1      !: left bottom (i,j) indices of the zoom
    INTEGER, PUBLIC, PARAMETER ::   jpjzoom =   1      !: in data domain indices
+#endif
 
    ! Domain characteristics
